[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: adding Ruby module dependencies to rpm



On Sun 12 Jan 2003 at 10:04:29 -0500, you wrote:

> Note that perl.prov and perl.req are being phased out, replaced
> by perldeps.pl.

OK.

> Hmmm, I can't tell you how many hours I've spent with "gets it wrong"
> with perl dependencies. I'd suggest a little more testing, and convince
> Ruby developers to use. Start with Provides: generation, Requires:,
> particularly when "wrong" cause an rpm problem where there was none before.

OK.

> Try rewriting (or even merging) with perldeps.pl. AFAIK, that means adding
> 	a) --provides/--requires
> 	b) options to ignore certain dependencies

Fair enough, but I don't see perldeps.pl in CVS. Is it in there under a
different name?

Ian
-- 
Ian Macdonald               | America's two greatest inventions are
ian@caliban.org             | finger-fucking and carpet-bombing.   --
                            | Lyndon B. Johnson 
                            | 
                            | 





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index] []